Skip to content
Permalink
Browse files

tools/sdimage: Fix build with host Linux headers < 3.18

The ufb tool needs the host UAPI Linux headers from kernel 3.18
or later, remove it for now as it is not used anyway.

Fixes: 4bf5c43 ("tools/sdimage: update to latest git version")
Signed-off-by: Hauke Mehrtens <hauke@hauke-m.de>
  • Loading branch information...
hauke committed Dec 16, 2018
1 parent 9e7c470 commit 02324da2063305d28ccda73ceb7eec68cf84b36c
Showing with 13 additions and 0 deletions.
  1. +13 −0 tools/sdimage/patches/100-deactivate-ufb.patch
@@ -0,0 +1,13 @@
Deactivate ufb, this needs the UAPI Linux kernel headers from >= 3.18,
this tools is currently not used, so just remove it for now.

--- a/Makefile
+++ b/Makefile
@@ -1,6 +1,6 @@
CC ?= $(CROSS_COMPILE)gcc
BINDIR ?= /usr/sbin
-PROGRAMS = uuc sdimage ufb
+PROGRAMS = uuc sdimage
LIBS ?= -lpthread

all: $(PROGRAMS)

0 comments on commit 02324da

Please sign in to comment.
You can’t perform that action at this time.